
#todo-box-header {
    padding: 8px 20px;
}

#todo-box-header form {
    flex: 1;
    display: flex;
    gap: 10px;
}

#todo-box-add-input {
    flex: 1;
}

.todo-task {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding: 7px 8px;
    background: #fff;
    border-left: 7px solid #fff;
    box-shadow: 0px 0px 2px #BBBBBB;
    cursor: grab;
    user-select: none;
    transition: opacity 0.2s;
    touch-action: none;
    touch-action: pan-y;
    position: relative;
}

.todo-task.important {
    border-left: 7px solid #fc0;
}

.todo-task.very-important {
    border-left: 7px solid #f00;
}

.todo-task .icon {
    font-size: 20px;
    padding: 4px !important;
}

@media (prefers-color-scheme: dark)
{
    .todo-task {
        background: #000;
        border-left: 7px solid #000;
    }
}

.todo-task:active {
    cursor: grabbing;
}

.todo-task.dragging {
    opacity: 0.4;
}

.todo-task.placeholder {
    background: rgba(100, 149, 237, 0.2);
    border: 1px dashed rgba(100, 149, 237, 0.6);
}

.todo-task:focus {
    outline: none;
}


.todo-task-delete {
    margin-left: auto;
    padding: 5px !important;
    display: flex;
    align-items: center;
    justify-content: center;
}

.todo-task-text {
    margin-left: 25px;
    flex: 1;
    text-align: left;
    overflow-wrap: break-word;
    min-width: 0;
}
